Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface ChainedProcessNode

Deprecated. Use `Node` instead.

public interface ChainedProcessNode

Method Summary
`DataItemMappingElement` | `addDataMappingElement(java.lang.String parentDataItemRefName, java.lang.String childDataItemRefName, int direction)` Deprecated. - use `Node.addDataMappingElement` instead.
`long` | `getChainedPlanId()` Deprecated. - use `Node.getChainedPlanId` instead.
`java.lang.String` | `getChainedPlanName()` Deprecated. - use `Node.getChainedPlanName` instead.
`DataItemMappingElement[]` | `getDataMappingElements()` Deprecated. - use `Node.getDataMappingElements` instead.
`java.lang.String` | `getDesc()` Deprecated. - use `Node.getDesc` instead.
`java.lang.String` | `getEpilogueScript()` Deprecated. - use `Node.getEpilogueScript` instead.
`java.lang.String` | `getName()` Deprecated. - use `Node.getName` instead.
`long` | `getNodeId()` Deprecated. - use `Node.getNodeId` instead.
`Plan` | `getPlan()` Deprecated. - use `Node.getPlan` instead.
`java.awt.Point` | `getPosition()` Deprecated. - use `Node.getPosition` instead.
`java.lang.String` | `getPrologueScript()` Deprecated. - use `Node.getPrologueScript` instead.
`int` | `getType()` Deprecated. - use `Node.getType` instead.
`void` | `removeDataMappingElement(DataItemMappingElement input)` Deprecated. - use `Node.removeDataMappingElement` instead.
`void` | `setChainedPlanId(long planId)` Deprecated. - use `Node.setChainedPlanId` instead.
`void` | `setChainedPlanName(java.lang.String planName)` Deprecated. - use `Node.setChainedPlanName` instead.
`void` | `setDesc(java.lang.String description)` Deprecated. - use `Node.setDesc` instead.
`void` | `setEpilogueScript(java.lang.String script)` Deprecated. - use `Node.setEpilogueScript` instead.
`void` | `setName(java.lang.String activityNodeName)` Deprecated. - use `Node.setName` instead.
`void` | `setPosition(java.awt.Point pos)` Deprecated. - use `Node.setPosition` instead.
`void` | `setPrologueScript(java.lang.String script)` Deprecated. - use `Node.setPrologueScript` instead.

Method Detail

### getNodeId

    public long getNodeId()

  Deprecated. - use `Node.getNodeId` instead.

### getName

    public java.lang.String getName()

  Deprecated. - use `Node.getName` instead.

### getDesc

    public java.lang.String getDesc()

  Deprecated. - use `Node.getDesc` instead.

### setName

    public void setName(java.lang.String activityNodeName)
                 throws ModelInternalException

  Deprecated. - use `Node.setName` instead.

  Throws:
    `ModelInternalException`

### setDesc

    public void setDesc(java.lang.String description)
                 throws ModelInternalException

  Deprecated. - use `Node.setDesc` instead.

  Throws:
    `ModelInternalException`

### getType

    public int getType()

  Deprecated. - use `Node.getType` instead.

### getPlan

    public Plan getPlan()

  Deprecated. - use `Node.getPlan` instead.

### getPosition

    public java.awt.Point getPosition()

  Deprecated. - use `Node.getPosition` instead.

### setPosition

    public void setPosition(java.awt.Point pos)

  Deprecated. - use `Node.setPosition` instead.

### getEpilogueScript

    public java.lang.String getEpilogueScript()

  Deprecated. - use `Node.getEpilogueScript` instead.

### setEpilogueScript

    public void setEpilogueScript(java.lang.String script)

  Deprecated. - use `Node.setEpilogueScript` instead.

### getPrologueScript

    public java.lang.String getPrologueScript()

  Deprecated. - use `Node.getPrologueScript` instead.

### setPrologueScript

    public void setPrologueScript(java.lang.String script)

  Deprecated. - use `Node.setPrologueScript` instead.

### setChainedPlanId

    public void setChainedPlanId(long planId)
                          throws WFServerException,
                                 WFInternalException,
                                 ModelInternalException

  Deprecated. - use `Node.setChainedPlanId` instead.

  Throws:
    `WFServerException`
    `WFInternalException`
    `ModelInternalException`

### getChainedPlanId

    public long getChainedPlanId()
                          throws ModelInternalException

  Deprecated. - use `Node.getChainedPlanId` instead.

  Throws:
    `ModelInternalException`

### addDataMappingElement

    public DataItemMappingElement addDataMappingElement(java.lang.String parentDataItemRefName,
                                                        java.lang.String childDataItemRefName,
                                                        int direction)
                                                 throws ModelException

  Deprecated. - use `Node.addDataMappingElement` instead.

  Throws:
    `ModelException`

### getDataMappingElements

    public DataItemMappingElement[] getDataMappingElements()
                                                    throws ModelException

  Deprecated. - use `Node.getDataMappingElements` instead.

  Throws:
    `ModelException`

### removeDataMappingElement

    public void removeDataMappingElement(DataItemMappingElement input)
                                  throws ModelException

  Deprecated. - use `Node.removeDataMappingElement` instead.

  Throws:
    `ModelException`

### setChainedPlanName

    public void setChainedPlanName(java.lang.String planName)
                            throws WFServerException,
                                   WFInternalException,
                                   ModelInternalException

  Deprecated. - use `Node.setChainedPlanName` instead.

  Throws:
    `WFServerException`
    `WFInternalException`
    `ModelInternalException`

### getChainedPlanName

    public java.lang.String getChainedPlanName()
                                        throws ModelInternalException

  Deprecated. - use `Node.getChainedPlanName` instead.

  Throws:
    `ModelInternalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD